import React, { Component } from 'react';
import { Link } from 'react-router-dom';
import $ from 'jquery';

class NavBar extends Component {
    state = {  } 

    render_calc = () => {
        if (this.props.is_login){
            return (
            <li className="nav-item">
                <Link className="navbar-brand" to="/calc">计算器</Link>
            </li>);
        }
        else return "";
    }

    handleClickLogout = () => {
        $.ajax({
            url: "https://app165.acapp.acwing.com.cn/calculator/logout/",
            type: "GET",
            success: resp => {
                console.log(resp);
                if (resp.result === "success") {
                    window.location.href = "/home";
                    
                }
            }
        });
    }

    render_logout = () => {
        if (this.props.is_login) {
            return (
            <ul className="navbar-nav">
                <li className="nav-item">
                <div className="navbar-brand" style={{cursor: "pointer"}}>{this.props.username}</div>
                </li>
                <li className="nav-item ">
                <div onClick={this.handleClickLogout} className="navbar-brand" style={{cursor: "pointer"}}>退出</div>
                </li>
            </ul>);
        }else {
            return (
                <ul className="navbar-nav">
                    <li className="nav-item">
                    <Link className="navbar-brand" to="/login">登录</Link>
                    </li>
                    <li className="nav-item">
                    <Link className="navbar-brand" to="/register">注册</Link>
                    </li>
                </ul>);
        }
    }


    render() { 
        return (
            <nav className="navbar navbar-expand-lg navbar-light bg-light">
                <div className="container">
                    <Link className="navbar-brand" to="/">Web</Link>
                    <button className="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
                        <span className="navbar-toggler-icon"></span>
                    </button>
                    <div className="collapse navbar-collapse" id="navbarText">
                    <ul className="navbar-nav me-auto mb-2 mb-lg-0 ">
                        <li className="nav-item">
                        <Link className="navbar-brand" to="/home">首页</Link>
                        </li>
                        {this.render_calc()}
                    </ul>
                        {this.render_logout()}
                    </div>
                </div>
            </nav>
        );
    }
}
 
export default NavBar;