import React, { Component } from 'react';
import NavBar from './navbar';
import Home from './home';
import Linux from './linux';
import Django from './django';
import Web from './web';
import { Routes,Route,Navigate } from 'react-router-dom';
import WebContent from './webcontent';
import NotFound from './notfound';



class App extends Component {
    state = {  } 
    render() { 
        return (
        <React.Fragment>
            <div className="container">
            <NavBar></NavBar>
                <Routes>
                    <Route path='/' element={<Home />} />
                    <Route path='/linux' element={<Linux />}>
                        <Route path='homework' element={<h4>homework的内容</h4>}></Route>
                        <Route path='terminal' element={<h4>acterminal的内容</h4>}></Route>
                        <Route path='*' element={<h4>其他</h4>}></Route>
                    </Route>

                    <Route path='/django' element={<Django />} />
                    <Route path='/web' element={<Web />} />
                    <Route path='/404' element={<NotFound />} />
                    <Route path='/web/content' element={<WebContent />} />
                    <Route path="*" element={ <Navigate replace to="/404" /> } />
                </Routes>
            </div>
        </React.Fragment>);
    }
}
 
export default App;
