import React from 'react';
import Box from './box';

const Boxes = ({boxes,onReset,onDelete,onLeft,onRight}) => {
    return (
        <React.Fragment>
            <button onClick={onReset} style={{marginTop: "5px"}} className='btn btn-warning btn-sm'>Reset</button>
            {boxes.map(box => (
                <Box key={box.id}
                    box={box}
                    onDelete={onDelete}
                    onLeft={onLeft}
                    onRight={onRight}
                     >
                </Box>
            ))}
        </React.Fragment>
    );
}
 
export default Boxes;
